package com.muyu.cloud.etl.controller;

import com.muyu.cloud.etl.service.DataValueService;
import com.muyu.domain.DataValue;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/DataValue")
public class DataValueController {
    @Autowired
    private DataValueService dataValueService;


    //获取字段值
    @PostMapping("/findTableValue")
    public List<List<DataValue>> findTableValue(@RequestParam("basicId") Long basicId,@RequestParam("sql") String sql) {
       return   dataValueService.findTableValue(basicId,sql);
    }

    //获取字段值
    @PostMapping("/findTableValueList")
    public List<List<DataValue>> findTableValueList(@RequestParam("basicId") Long basicId,@RequestParam("tableName") String tableName ) {
        return dataValueService.findTableValueList(basicId,tableName);
    }
}
